Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061888 - black or transparent rectangles after update to xorg-x11-drv-intel-2.21.2-1.fc17 (64-bit)
Summary: black or transparent rectangles after update to xorg-x11-drv-intel-2.21.2-1.f...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 20
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 20:14 UTC by Terry A. Hurlbut
Modified: 2015-02-03 16:32 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 924117
Environment:
Last Closed: 2015-02-03 16:32:52 UTC


Attachments (Terms of Use)

Description Terry A. Hurlbut 2014-02-05 20:14:02 UTC
+++ This bug was initially created as a clone of Bug #924117 +++

Description of problem:
After update to xorg-x11-drv-intel-2.21.2-1.fc17 (64-bit) and restarting PC 
after a few minutes i get transparent or black rectangles when i open a some application or resize a window on existing.

this issue make resolve by downgrade to xorg-x11-drv-intel-2.19.0-1.fc17.x86_64

i reproduce this step two times, so it must be with xorg-x11-drv-intel-2.21.2-1.fc17 package problem.


Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.21.2-1.fc17 (64-bit)


Additional info:
lscpi
00:02.0 VGA compatible controller: Intel Corporation 82Q35 Express Integrated Graphics Controller (rev 02)

--- Additional comment from Monopatis Dimitris on 2013-04-19 08:08:46 EDT ---

I have the same problem with xorg-x11-drv-intel.i686 0:2.21.5-1.fc17 (32-bit)

--- Additional comment from Terry A. Hurlbut on 2013-04-29 15:11:22 EDT ---

I first started noticing this issue on upgrade to Fedora 18.

Driver: xorg-x11-drv-intel 2.21.6-1.fc18

Desktop: KDE

Architecture: x86-64

The time to appearance of this issue varies, and seems to depend on how many times I call for a popup window or dialog box, or de-minimize an application I have previously minimized to the task bar or system tray.

--- Additional comment from Michal Lis on 2013-04-30 04:11:21 EDT ---

I tested update to xorg-x11-drv-intel.i686 0:2.21.5-1.fc17 64bit but the problem has not gone.

--- Additional comment from Roberto Ragusa on 2013-05-02 17:19:10 EDT ---

Something similar is happening to me, on 2.21.5-1-fc17.x86_64, started happening after recent updates.
After running fine for some time, sometimes windows lose their content (firefox is all grey) or are not updated anymore (konsole appears frozen but executes commands, clock doesn't go forward), but are instantly refreshed correctly if you "rock things" (window drag, desktop flip).
I also see that in some cases everything locks up for a few seconds and a pstack on the X process points to intel-drv callbacks related to Damage and Compose (didn't write down the trace I got via ssh).
KDE, desktop effects on, SandyBridge. Used to work perfectly before.

--- Additional comment from Mark Clarkson on 2013-05-10 06:37:07 EDT ---

I have the same problem and it is very annoying!

At some point window resizes, new tool windows, drop-downs etc., and new main application windows will be completely black and I am forced to log out and back in to fix.

# lspci
00:02.0 VGA compatible controller: Intel Corporation 82Q35 Express Integrated Graphics Controller (rev 02)

Is there any other workaround other than logging out?

--- Additional comment from Michal Lis on 2013-05-10 12:04:10 EDT ---

for me only downgrade to xorg-x11-drv-intel-2.19.0-1.fc17.x86_64 resolve this problem right now. You can get it from http://pkgs.org/fedora-17/fedora-x86_64/xorg-x11-drv-intel-2.19.0-1.fc17.x86_64.rpm.html. And you have to exclude newer package if you wanna updating system.

--- Additional comment from Mark Clarkson on 2013-05-14 08:44:33 EDT ---

Thanks very much for the link Michal - I can work properly again!

I can confirm that downgrading to xorg-x11-drv-intel-2.19.0-1.fc17.x86_64 'resolves' the issue.

--- Additional comment from Terry A. Hurlbut on 2013-06-03 07:21:05 EDT ---

Update to package xorg-x11-drv-intel 2.21.8-1.fc18 (64 bit) does not resolve the issue. My machine did run continuously for twelve hours, through one "switch user" session, before giving me the black rectangles. Logging out and logging in is the only way to restore the expected behavior.

--- Additional comment from Fedora End Of Life on 2013-07-03 15:34:40 EDT ---

This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Michal Lis on 2013-07-23 05:08:09 EDT ---

I upgrade my Fedora to 18 but I have the same problem with xorg-x11-drv-intel x86_64  2.21.8-1.fc18. Now I use xorg-x11-drv-intel-2.20.14-1.fc18.x86_64 and it is better, sometimes x11 is going to crash but less than on the 2.21.8-1.fc18 version

--- Additional comment from Fedora End Of Life on 2013-12-21 07:20:36 EST ---

This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

--- Additional comment from Fedora End Of Life on 2014-02-05 15:09:33 EST ---

Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 1 Terry A. Hurlbut 2015-02-03 16:32:52 UTC
After I installed F20, fresh, on two other machines, the problem did not recur.

Nor did it recur when I upgraded each machine to F21 using fedup.

I suspect a problem crept into my installation, somewhere along the way--some corrupt file having to do with window-drawing. The new installation did not re-introduce this error.


Note You need to log in before you can comment on or make changes to this bug.